[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: gpg: DSA requires the use of a 160 bit hash algorithm

On Fri, Mar 21, 2003 at 01:18:40PM +0200, Tapio Lehtonen wrote:
> I can't anymore sign e-mails using mutt. Error is
> gpg: DSA requires the use of a 160 bit hash algorithm
> What to do to fix this? I started getting the error after installing
> spamassassin from testing to a woody host. I did had a working
> spamassassin from woody, but upgraded it using the "How to keep a
> mixed system" info, i.e.
> apt-get -t unstable install spamassassin
> I did install some other packages from testing also. 

I ran into this some months ago, so my memory is a little foggy.
However, I'm 90% sure I fixed it by removing one of the following
options from ~/.gpg/options :

  digest-algo md5
  load-extension rsa
  load-extension idea

Sorry for being imprecise; I hope this puts you on the right track!

Nathan Norman - Incanus Networking mailto:nnorman@incanus.net
  There's a positive side to non-technical people -- they actually
  tend to have some grasp of how human psyche works.
          -- Josip Rodin (on d-devel)

Reply to: